//
//  SwiftUIView.swift
//  UIKitComponents
//
//  Created by User on 26.05.2025.
//

import SwiftUI

struct TabbarTest: View {
    
    @State var selection: String = "Главная"
    
    init() {
        FontWeightSetUp.allFonts()
    }
    
    var body: some View {
        VStack {
            TabbarContainer(selection: $selection) {
                Color.white
                    .tabItem(tab: "Главная", selection: $selection)
                Color.blue
                    .tabItem(tab: "Каталог", selection: $selection)
                Color.green
                    .tabItem(tab: "Проекты", selection: $selection)
                Color.blue
                    .tabItem(tab: "Профиль", selection: $selection)
            }
        }
    }
}

#Preview {
    TabbarTest()
}
