//
//  File.swift
//  UIKitComponents
//
//  Created by User on 26.05.2025.
//

import Foundation
import SwiftUI

//Структура которая показывает основное view в зависимости от selection
public struct TabbarItemModifier: ViewModifier {
    
    let tab: String
    @Binding var selection: String
    
    public func body(content: Content) -> some View {
        content
            .opacity(tab == selection ? 1 : 0)
            .preference(key: TabbarPreferenseKey.self, value: [tab])
    }
    
}
